@echo off
if not exist c:\tools\start.on goto exit
if not exist c:\tools\fail.yes goto exit
if exist c:\tools\appl.a goto starta
if exist c:\tools\appl.m goto startm
goto err_start

:starta
if exist c:\tools\topo.en sngo en start
if exist c:\tools\topo.tr sngo tr start
if exist c:\tools\topo.fd sngo fd start
if exist c:\tools\topo.sy sngo sy start
goto exit

:startm
if exist c:\tools\topo.en mongo en start 
if exist c:\tools\topo.tr mongo tr start
if exist c:\tools\topo.fd mongo fd start
goto exit


:errsa
goto exit
:errsm
goto exit

:err_start
echo.
echo The Sniffer was attempting to auto restart but a semiphore file 
echo for determining the state of the Sniffer was not found. Please
echo contact Network General Technical Support for assistance.
echo.
pause
goto exit

:exit

